<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<TITLE>Navigateur d'images</TITLE>
	 <meta content="Marcel D&eacute;l&egrave;ze" name="author">
  	<meta name="robots" content="noindex, nofollow">
</HEAD>
<?php
    define("DimensionMax", 160); // largeur max. et hauteur max. 
    define("couleur_fond","#d8b97e"); // beige=rgb(216, 185, 126)
    define("sousdossierVignettes", "160x160");
    define("sousdossierTextes", "com");
    echo "<BODY LANG=\"fr-CH\" TEXT=\"#000000\" LINK=\"#0000ff\" VLINK=\"#ff0000\" BGCOLOR=\"".couleur_fond."\" DIR=\"LTR\">";
    /*
     * La boucle principale porte sur les images originelles.
     * Si la vignette correspondante existe, alors elle affichée avec un lien vers l'image originelle
     * sinon seul le lien vers l'image originelle est affiché.
     */
    $dir = $_GET['dir'];
    $txtfile = $dir.'/'.sousdossierTextes.'/titre.txt';	// chemin vers le texte correspondant: TITRE de la page   
    if (file_exists($txtfile)){
    	$txt = file_get_contents($txtfile);
    	 echo "<p><b><big>".$txt."</big></b><br>"
	    	."<small>Pour agrandir une image, effectuer un clic gauche sur la vignette.</small></p>"; 
    } else {
	    echo "<p><b>Lot de photos téléchargeables une à une.</b><br>"
	    	."<small>Pour agrandir une image, effectuer un clic gauche sur la vignette.</small></p>"; 
    } 
    $n=0;  // Nombre total de fichiers
    $t=array(); // tableau de tous les fichiers
    if (is_dir($dir)) {    	
        echo "<table border=0 cellspacing=12 cellpadding=1>";
        echo "<tr align=center valign=middle>";  
        if ($dh = opendir($dir)) {            
			while (($file = readdir($dh)) !== false) {            
    			$nom=$dir."/".$file;
                if (is_file($nom)) {
                    $t[$n]=$file;
                    $n++;
                    $i=$n-1;
                    while (($i>0) and (strnatcasecmp($t[$i-1],$t[$i])>0)) {
                        $ech=$t[$i];
                        $t[$i]=$t[$i-1];
                        $t[$i-1]=$ech;
                        $i--;
					}
				}   
            }            
			closedir($dh);
        }
        $numCol=0;
        $nbreMaxCol=round(floor(1280/(DimensionMax+12)));  
        for ($i=0; $i<$n; $i++) {
            $file=$t[$i]; 											// nom de fichier de l'image originelle
            $nom=$dir."/".$file;									// chemin vers l'image originelle
            $vignette=$dir."/".sousdossierVignettes."/".$file;  	// chemin vers la vignette correspondante            
            $numCol++;
            if ($numCol>$nbreMaxCol){
 				echo "</tr><tr align=center valign=middle>"; $numCol=1;
            }
            if (strcasecmp(substr($file, -4),".JPG")==0 or strcasecmp(substr($file, -4),".PNG")==0) {
            	if (file_exists($vignette)){                                                                               
            		list($width, $height) = getimagesize($vignette);
            	} else {
            		$width=0; $height=0;
            	}
            	if ($width>=1 and  $height>=1){
				$ratio = $width/$height;  						// à conserver
				if($width >= $height){ 							// orientation Paysage
					$newwidth = DimensionMax;					// si les vignettes sont conformes aux directives, $newwidth=$width
					$newheight = round($newwidth/$ratio);	    // et $newheight = $height
				} else { 										// orientation Portrait
					$newheight = DimensionMax;
					$newwidth = round($newheight*$ratio);
				}				                                 
					echo "<td width=\"".(DimensionMax+2)."\" align=\"center\" valign=\"middle\" bgcolor=\"".couleur_fond."\">"; 
					echo '<a id="'.$file.'" href="navim1.php?dir='.$dir.'&amp;file='.$file.'"><img width="'.$newwidth.'" height="'.$newheight.
                                 '" alt="'.$file.'" title="'.$file.'" src="'.$vignette.'" border="0"></a>';                                         
					echo "</td>";
            	} else {	// sinon la vignette correspondante n'existe pas
            		echo "<td width=\"".(DimensionMax+2)."\" align=\"center\" valign=\"middle\" style=\"background-color: white;\">";
                 	echo '<a id="'.$file.'" href="'.$nom.'">'.$file.'</a>';
                 	echo '</td>';
            	}
			} else {	// Le fichier n'est ni JPG, ni PNG)	
				echo "<td width=\"".(DimensionMax+2)."\" align=\"center\" valign=\"middle\" style=\"background-color: white;\">";
				echo '<a id="'.$file.'" href="'.$nom.'">'.$file.'</a>';
				echo "</td>";
            }                  
        }
        echo "</tr></table>";
        $txtfile = $dir.'/'.sousdossierTextes.'/lien.txt';	// chemin vers le LIEN DE RETOUR (accueil)
        if (file_exists($txtfile)){
	    	$txt = file_get_contents($txtfile);
	        echo '<p>Page mère: '.$txt.'</p>';
        }
	} else {
		echo "ERREUR: \"<b>".$dir."</b>\" n'est pas un dossier valide.";
	}
	echo '</body>';
?>
</html>