<?php	
    define("DimensionMax", 810); 				// largeur max. et hauteur max. 
    define("couleur_fond","#d8b97e"); 			// beige=rgb(216, 185, 126)
    define("sousdossierVignettes", "160x160");
    define("sousdossierTextes", "com");
    define("sousdossierEcran", "810x810");
    $dir = $_GET['dir'];
    $file = $_GET['file'];						// nom de fichier de l'image originelle
    $nom = $dir."/".$file;						// chemin vers l'image originelle
    $vignette = $dir."/".sousdossierVignettes."/".$file; 			// chemin vers la vignette correspondante
    $ecranfile = $dir."/".sousdossierEcran."/".$file; 				// chemin vers l'image écran correspondante
    $txtfile = $dir.'/'.sousdossierTextes.'/'.substr($file,0, strlen($file)-4).'.txt';	// chemin vers le texte correspondant
    $ipred='';
    $isucc='';
    if (file_exists($dir.'/php/repert.php')){
    	include($dir.'/php/repert.php');
    	if (!is_null($pred[$file])){
    		if (file_exists($dir.'/'.$pred[$file])){
    			$ipred = 	'&lt; &nbsp; <a href="navim1.php?dir='.$dir.'&amp;file='
    						.$pred[$file].'">Image précédente</a>';
    		} else {
    			$ipred = '&lt; &nbsp; Image précédente';
    		}
    	} else {
    		$ipred = '&lt; &nbsp; Image précédente';
    	} 
    	if (!is_null($succ[$file])){
    		if (file_exists($dir.'/'.$succ[$file])){
    			$isucc = 	' &nbsp; | &nbsp; <a href="navim1.php?dir='.$dir.'&amp;file='
    						.$succ[$file].'">Image suivante</a> &nbsp; &gt';
    		} else {
    			$isucc = ' &nbsp; | &nbsp; Image suivante &nbsp; &gt;';
    		}
    	} else {
    		$isucc = ' &nbsp; | &nbsp; Image suivante &nbsp; &gt;';
    	}
    }
    $titre='';
    if (file_exists($dir.'/com/titre.txt')){
    	$titre =file_get_contents($dir.'/com/titre.txt');
    	$pos = strpos($titre, '<');
    	if ($pos===false){} else {
    		$titre = substr($titre, 0, $pos);
    	}
    	if (strlen($titre)>64){
    		$titre = substr($titre,0,62).'..';
    	}
    }
    if (strlen($titre)==0){
    	$titre='Lot de photos téléchargeables';
    }
    $msgerr='';
    if (file_exists($ecranfile)){
    	$crtfile = $ecranfile;
    	list($newwidth, $newheight, $type) = getimagesize($ecranfile);
        if ($newwidth>=1 and  $newheight>=1){
				$ratio = $newwidth/$newheight;  						// à conserver
        } else {	// sinon l'image correspondante n'existe pas
                $msgerr = $msgerr."<p><b>Le fichier \"".$ecranfile."\" n'est pas une image valide.</b></p>";
        }
    } elseif (file_exists($nom)){
    	$crtfile = $nom;                                                                              
        list($width, $height, $type) = getimagesize($nom);
        if ($width>=1 and  $height>=1){
				$ratio = $width/$height;							// à conserver
				if ($height>DimensionMax or $width>DimensionMax){
					if($width >= $height){ 							// orientation Paysage
						$newwidth = DimensionMax;					
						$newheight = round($newwidth/$ratio);	    
					} else { 										// orientation Portrait
						$newheight = DimensionMax;
						$newwidth = round($newheight*$ratio);
					}
				} else {
					$newheight = $height;
					$newwidth = $width;
				}				                                 
        } else {	// sinon l'image correspondante n'existe pas
                $msgerr = $msgerr."<p><b>Le fichier \"".$nom."\" n'est pas une image valide.</b></p>";
        }
    } else {
    	$msgerr = $msgerr."<p><b>Le fichier \"".$file."\" n'existe pas.</b></p>";
    }
    $txt = '<br>';
    if (file_exists($txtfile)){
    	$txt = '<b>'.file_get_contents($txtfile).'</b>';
    }
    if (strlen($msgerr)>0){
		echo '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
			<html lang="fr-ch">
			<head>
	 		<meta content="text/html; charset=UTF-8" http-equiv="content-type">'
			."<title>Erreur dans l'affichage de l'image</title>
			<meta content=\"Marcel D&eacute;l&egrave;ze\" name=\"author\">
  			<meta name=\"robots\" content=\"noindex, nofollow\"></head>"
			.'<body dir="ltr" style="color: rgb(0, 0, 0); background-color: rgb(200, 200, 200); direction: ltr;" alink="#000088" link="#0000ff" vlink="#ff0000">'
			.$msgerr
			."<p>Pour modifier les données, actionner, sur la barre du navigateur, le bouton «Reculer d'une page».</p></body></html>";
			exit();
	} elseif (strlen($txt)>0 or $crtfile == $ecranfile){
		echo '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"><html>';    
	    echo '<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><TITLE>'
	    		.$file.' - Image et navigation</TITLE>
			<meta content="Marcel D&eacute;l&egrave;ze" name="author">
  			<meta name="robots" content="noindex, nofollow"></head>';
	    echo '<BODY LANG="fr-CH" TEXT="#000000" LINK="#0000ff" VLINK="#ff0000" BGCOLOR="'.couleur_fond.'" DIR="LTR">';
	    echo '<table border="0" cellpadding="0" cellspacing="0" width="1366">
	    		<tbody><tr>
      			<td colspan="1" rowspan="2" align="center" valign="middle" width="842" height="810" BGCOLOR="'.couleur_fond.'">';                                           
		echo '<img width="'.$newwidth.'" height="'.$newheight.
                                 '" alt="'.$file.'" title="'.$file.'" src="'.$crtfile.'" border="0">';
		echo "</td>";
    	echo '<td height="710" align="left" valign="middle">'.$txt.'</td>
    	 	</tr><tr>
      		<td align="left" valign="top">'
      			.'Page mère: &nbsp; <a href ="navim0.php?dir='.$dir.'#'.$file.'">'.$titre.'</a>'
	      		.'<br><br>'.$ipred.$isucc	      		
	      		."<br><br>Télécharger l'".'<a href ="'.$nom.'">image «'.$file.'»</a>'
      		.'</td></tr></tbody></table>';
	    echo '</body></html>';
	} elseif ($type==3 ){ // PNG
		header ('Content-type: image/png');
		header('Content-Disposition: filename="'
				.$file);		
		$dest = imagecreatefrompng($nom);
		imagepng($dest);	// retourne l'image $nom vers le navigateur
		imagedestroy($dest);
	} elseif ($type==2 ){ // JPG
		header ('Content-type: image/jpeg');
		header('Content-Disposition: filename="'
				.$file);
		$dest = imagecreatefromjpeg($nom);		
		imagejpeg($dest);	// retourne l'image $nom vers le navigateur
		imagedestroy($dest);
}
?>